Subject: bug#47679: 28.0.50; python-shell-switch-to-shell redisplay bug

From: Shitikanth Kashyap <[email-masked]>
Date: Sat, 10 Apr 2021 02:21:33 +0530

Steps to reproduce:
1. emacs -Q
2. Open any python file
3. Press "C-c C-p"  to start interpreter
4. Press "C-c C-z" from the file's window to switch to interpreter
5. Go back to file's window with "C-x o" and repeat from 4 a few times.

There is notable lag (sometimes as much as a few seconds) between
pressing the keybinding "C-c C-z" in file's window before the cursor
appears to be ready on the interpreter's window. The state of the cursor
in the two windows after the command appears to be indeterministic and
inconsistent.

The issue seems to be that the display of the two windows is not updated
even though internally emacs has changed the focus to the correct
window. For example, it is possible to start typing in the interpreter
window immediately after the command, even though the cursor does not
seem to ready.